org.eclipse.wst.jsdt.chromium

## Enum UpdatableScript.ChangeStatus

- java.lang.Object
- - java.lang.Enum<UpdatableScript.ChangeStatus>
  - - org.eclipse.wst.jsdt.chromium.UpdatableScript.ChangeStatus

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<UpdatableScript.ChangeStatus>

Enclosing interface:
  UpdatableScript

    public static enum UpdatableScript.ChangeStatus
    extends java.lang.Enum<UpdatableScript.ChangeStatus>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CODE_PATCHED`
`DAMAGED`
`NESTED_CHANGED`
`UNCHANGED`

### Method Summary

All Methods Static Methods Concrete Methods
`static UpdatableScript.ChangeStatus` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static UpdatableScript.ChangeStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNCHANGED

    public static final UpdatableScript.ChangeStatus UNCHANGED

#### NESTED_CHANGED

    public static final UpdatableScript.ChangeStatus NESTED_CHANGED

#### CODE_PATCHED

    public static final UpdatableScript.ChangeStatus CODE_PATCHED

#### DAMAGED

    public static final UpdatableScript.ChangeStatus DAMAGED

### Method Detail

#### values

    public static UpdatableScript.ChangeStatus[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (UpdatableScript.ChangeStatus c : UpdatableScript.ChangeStatus.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static UpdatableScript.ChangeStatus valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null